package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.OrderLog;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-7-27 9:15
 */
@Repository
public interface OrderLogDAO {

    int insert(OrderLog entity);
    int update(OrderLog entity);
    int exist(String id);
    OrderLog get(String id);
    int delete(String id);
    List<OrderLog> list();
    List<OrderLog> findByOrderId(String orderId);
    List<OrderLog> search(Map<String, Object> searchParams, List<Sort> sortList);
}
